/*
 * Copyright (C) 2005-2006 Kouji Sugisawa. All rights reserved.
 */

package jp.sourceforge.livez;

import java.io.Serializable;

/**
 * 画面情報のインターフェースです。
 * 
 * @author 杉澤 浩二
 */
public interface Screen extends Serializable {

	/**
	 * 待受け画面の幅をピクセル単位で返します。
	 * 不明な場合は <code>0</code> を返します。
	 * 
	 * @return 待受け画面の幅
	 */
	public int getWidth();

	/**
	 * 待受け画面の高さをピクセル単位で返します。
	 * 不明な場合は <code>0</code> を返します。
	 * 
	 * @return 待受け画面の高さ
	 */
	public int getHeight();

	/**
	 * モノクロ画面かどうかを返します。
	 * 
	 * @return モノクロ画面かどうか
	 */
	public boolean isMonochrome();

	/**
	 * 使用可能な色数又は階調数を返します。
	 * 
	 * @return 使用可能な色数又は階調数
	 */
	public int getColor();

	/**
	 * QVGA 液晶を搭載しているかどうかを返します。
	 * 不明な場合は <code>false</code> を返します。
	 * 
	 * @return QVGA 液晶を搭載しているかどうか
	 */
	public boolean isQVGA();

}
